System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeObject System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent a single line comment.

A can contain a and allows it to be treated as a statement and generated as code within a collection of statements. Multi-line comments can be represented with multiple objects.

To include a comment in a CodeDOM graph that can be generated to source code, add a to a , and add this to the statements collection of a or to the comments collection of a or any object that derives from .

Represents a comment.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Because the Text property is uninitialized with this constructor, it should be set before the code is generated for it.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified text as contents.

  The contents of the comment.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified text and documentation comment flag.

  The contents of the comment.
  true if the comment is a documentation comment; otherwise, false.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  Some languages support a special type of comment that can be automatically extracted from the source code for documentation purposes. This property can be used to designate whether the comment is a documentation comment, which may generate a different syntax. An example of this is C#, which uses "//" for regular comments and "///" for documentation comments.

  Gets or sets a value that indicates whether the comment is a documentation comment.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The text of this property should not contain line breaks. If multiple lines are required, multiple objects should be defined.

  Gets or sets the text of the comment.